Subject: Re: linux-next: manual merge of the kvm-arm tree with the kvm tree

From: Marc Zyngier <[email-masked]>
Date: Thu, 01 Dec 2022 15:23:07 +0000

On Thu, 01 Dec 2022 02:16:23 +0000,
Stephen Rothwell <[email-masked]> wrote:
> 
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   tools/testing/selftests/kvm/include/perf_test_util.h
> 
> between commit:
> 
>   9fda6753c9dd ("KVM: selftests: Rename perf_test_util.[ch] to memstress.[ch]")
> 
> from the kvm tree and commit:
> 
>   9ec1eb1bccee ("KVM: selftests: Have perf_test_util signal when to stop vCPUs")
> 
> from the kvm-arm tree.
> 
> I fixed it up (I removed the file and applied the following patch) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.
> 
> (this patch covered another occurrence fo the needed rename)

Huh, this is a lot of conflicts.

Paolo, do you have a stable branch I can pull in my tree to kill
those? Or do you want to deal with the conflicts yourself?

	M.

-- 
Without deviation from the norm, progress is not possible.